
#ifndef COMPONENTCHOOSERMULTIMEDIA_H
#define COMPONENTCHOOSERMULTIMEDIA_H

#include "componentchooser.h"

class CfgMultimedia: public QWidget, public CfgPlugin
{
    Q_OBJECT
public:
    CfgMultimedia(QWidget *parent);
    ~CfgMultimedia() override;
    void load(KConfig *cfg) override;
    void save(KConfig *cfg) override;
    void defaults() override;
    bool isDefaults() const override;

protected Q_SLOTS:
    void configChanged();

Q_SIGNALS:
    void changed(bool);

private:
    QString video_player_id;
    QString audio_player_id;
    QString image_player_id;
    QWidget *vplayers_page;
    QWidget *aplayers_page;
    QWidget *iplayers_page;
    QVBoxLayout *v_lay;
    QVBoxLayout *a_lay;
    QVBoxLayout *i_lay;
    KService::List services_video;
    KService::List services_audio;
    KService::List services_image;
};

#endif
